classification
Title: Missing documentation for typing.AsyncContextManager
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Travis DePrato, docs@python, eric.araujo, ezio.melotti, levkivskyi, willingc
Priority: normal Keywords: patch

Created on 2018-05-03 23:33 by Travis DePrato, last changed 2018-05-23 15:15 by levkivskyi. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6700 closed python-dev, 2018-05-03 23:34
PR 6822 merged Travis DePrato, 2018-05-14 19:27
PR 6823 merged Travis DePrato, 2018-05-14 19:28
PR 6839 merged miss-islington, 2018-05-14 22:16
Messages (2)
msg316145 - (view) Author: Travis DePrato (Travis DePrato) * Date: 2018-05-03 23:33
The documentation for the typing module makes no mention of AsyncContextManager, which is defined in Lib/typing.py as

    AsyncContextManager = _alias(contextlib.AbstractAsyncContextManager, T_co)

as of >= Python 3.8; before 3.8, no such AbstractAsyncContextManager class exists.
msg317416 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-05-23 15:15
This is now fixed.
History
Date User Action Args
2018-05-23 15:15:27levkivskyisetstatus: open -> closed
resolution: fixed
messages: + msg317416

stage: patch review -> resolved
2018-05-14 22:16:56miss-islingtonsetpull_requests: + pull_request6522
2018-05-14 19:28:49Travis DePratosetpull_requests: + pull_request6508
2018-05-14 19:27:24Travis DePratosetpull_requests: + pull_request6507
2018-05-14 17:53:25levkivskyisetnosy: + levkivskyi
2018-05-03 23:34:24python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6392
2018-05-03 23:33:14Travis DePratocreate